Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.dependencyGraph
Class AbstractDependencyGraphFormatterVisitor<T extends ISystemModelElement>

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.AbstractDependencyGraphFormatterVisitor<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  AbstractGraph.IGraphVisitor<DependencyGraphNode<T>,WeightedBidirectionalDependencyGraphEdge<T>>

    public abstract class AbstractDependencyGraphFormatterVisitor<T extends ISystemModelElement>

extends Object
implements AbstractGraph.IGraphVisitor<DependencyGraphNode<T>,WeightedBidirectionalDependencyGraphEdge<T>>

Abstract base class for dependency-graph-formatting visitors. This base class already provides the common algorithm for formatting edges.

Since:
  1.6
Author:
  Holger Knoche

Constructor Summary
`AbstractDependencyGraphFormatterVisitor(StringBuilder builder, boolean includeWeights, boolean plotLoops, boolean useShortLabels)` Creates a new formatter visitor using the given arguments.

Method Summary
`void` | `visitEdge(WeightedBidirectionalDependencyGraphEdge<T> edge)` Call-back operation that is invoked when an edge is encountered during graph traversal.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraph.IGraphVisitor
`visitVertex`

Constructor Detail

### AbstractDependencyGraphFormatterVisitor

    public AbstractDependencyGraphFormatterVisitor(StringBuilder builder,
                                                   boolean includeWeights,
                                                   boolean plotLoops,
                                                   boolean useShortLabels)

  Creates a new formatter visitor using the given arguments.

  Parameters:
    `builder` - The string builder to send the generated output to
    `includeWeights` - Indicates whether weights should be printed at the edges
    `plotLoops` - Indicates whether self-loops should be displayed
    `useShortLabels` - Indicates whether short labels should be used

Method Detail

### visitEdge

    public void visitEdge(WeightedBidirectionalDependencyGraphEdge<T> edge)

  Description copied from interface: `AbstractGraph.IGraphVisitor`
  Call-back operation that is invoked when an edge is encountered during graph traversal.

  Specified by:
    `visitEdge` in interface `AbstractGraph.IGraphVisitor<DependencyGraphNode<T extends ISystemModelElement>,WeightedBidirectionalDependencyGraphEdge<T extends ISystemModelElement>>`
  Parameters:
    `edge` - The encountered edge

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net